#include <cross-checker.h>
#include <gtest/gtest.h>

TEST(SmokeTest, Test1)
{
    cross_checker::Line line1(cross_checker::Point(0, 0), cross_checker::Point(1, 1));
    cross_checker::Line line2(cross_checker::Point(0, 1), cross_checker::Point(1, 0));
    ASSERT_TRUE(line1.intersect(line2));
}

TEST(SmokeTest, Test2)
{
    cross_checker::Line line1(cross_checker::Point(0, 0), cross_checker::Point(1, 1));
    cross_checker::Line line2(cross_checker::Point(2, 2), cross_checker::Point(3, 3));
    ASSERT_FALSE(line1.intersect(line2));
}

TEST(SmokeTest, Test3)
{
    cross_checker::Line line1(cross_checker::Point(0, 0), cross_checker::Point(1, 1));
    cross_checker::Line line2(cross_checker::Point(1, 1), cross_checker::Point(2, 2));
    ASSERT_TRUE(line1.intersect(line2));
}

TEST(SmokeTest, Test4)
{
    cross_checker::Line line1(cross_checker::Point(0, 0), cross_checker::Point(1, 1));
    cross_checker::Line line2(cross_checker::Point(2, 2), cross_checker::Point(3, 3));
    ASSERT_FALSE(line1.intersect(line2));
}